tidy_setopt
tidyNode->hasChildren
Tidy Functions
PHP Manual

# tidy_warning_count

(PHP 5, PECL tidy:0.5.2-1.2)

tidy_warning_count — Returns the Number of Tidy warnings encountered for specified document

### Description

int tidy_warning_count ( tidy `$object` )

tidy_warning_count() returns the number of Tidy warnings encountered for the specified document.

### Parameters

`object`

  The Tidy object.

### Return Values

Returns the number of warnings.

### Examples

Example #1 tidy_warning_count() example

`<?php
$html = '<p>test</i>
<bogustag>bogus</bogustag>';
$tidy = tidy_parse_string($html);
echo tidy_error_count($tidy) . "\n"; //1
echo tidy_warning_count($tidy) . "\n"; //5
?>`

### See Also

- tidy_error_count()
- tidy_access_count()

tidy_setopt
tidyNode->hasChildren
Tidy Functions
PHP Manual